# micro-sci-a2-controller

This is a clone of the Micro-SCI / Franklin floppy drive controller.

v0.1 is a direct clone, reverse-engineered from a Micro-SCI board.  It was cross-checked with a Franklin-branded board, as well as the (belatedly discovered) official Franklin schematic (included in doc/service_and_schematics.pdf)

Since it is a faithful clone, it requires a 2708 EPROM (or a different EPROM with a 2708 adaptor).  A board slightly revised to use a 2716/2732 is available on the 2716 git branch.

Firmware images can be built via the Makefile in the firmware subdirectory.  The build framework requires cc65.

![usci](usci.png?raw=true "usci")

## Jumper block

* 1-2 and 3-4: controller test firmware (0x0000)
* 1-2: 16-sector firmware (0x0100)
* 3-4: 13-sector firmware (0x0200)
* empty: firmware "put jumpers here" splash screen (0x0300)
